Bug 604821 - [abrt] crash in fontforge-20090923-3.fc13: __strcmp_ia32: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
[abrt] crash in fontforge-20090923-3.fc13: __strcmp_ia32: Process /usr/bin/fo...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:85d1d9de4a3c9e83dcdb5e44f19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 15:26 EDT by szymon_siecinski
Modified: 2010-07-21 12:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-21 12:45:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.52 KB, text/plain)
2010-06-16 15:26 EDT, szymon_siecinski
no flags Details

  None (edit)
Description szymon_siecinski 2010-06-16 15:26:08 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/fontforge /home/sieciuch/Soviet_Stencil.sfd
comment: I wanted to save my font project as TTF file on my pendrive. Suddenly, FontForge crashed.
component: fontforge
crash_function: __strcmp_ia32
executable: /usr/bin/fontforge
global_uuid: 85d1d9de4a3c9e83dcdb5e44f190d01662223624
kernel: 2.6.33.5-112.fc13.i686.PAE
package: fontforge-20090923-3.fc13
rating: 4
reason: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Open a(n) SFD file
2. Generate TTF font into mounted FAT file system
3. Set character naming as AGL
4. Save a file and ignore any warnings
Comment 1 szymon_siecinski 2010-06-16 15:26:10 EDT
Created attachment 424558 [details]
File: backtrace
Comment 2 Kevin Fenzi 2010-07-04 15:16:52 EDT
Greetings.

Can you please upgrade to the version in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2294313

and see if the problem re-occurs or is fixed?

Note that this build will only be around for a few weeks.

Thanks.
Comment 3 Paul Flo Williams 2010-07-21 03:09:46 EDT
I have been unable to reproduce this bug by following the reporter's instructions.

In addition, the backtrace is incomplete ("Cannot access memory at..."), indicating there was something very wrong before the attempt to save the file.

I'd suggest closing this as INSUFFICIENT_DATA unless the reporter can reproduce.
Comment 4 Kevin Fenzi 2010-07-21 12:45:51 EDT
Yeah. Closing now. 

Please do file a new one or reopen this one if you can duplicate it.

Note You need to log in before you can comment on or make changes to this bug.